Difference between revisions of "Draft Line/pl"

From FreeCAD Documentation
Jump to: navigation, search
(Updating to match new version of source page)
(Updating to match new version of source page)
(6 intermediate revisions by the same user not shown)
Line 1: Line 1:
 
<languages/>
 
<languages/>
 +
{{Docnav||[[Draft_Wire|Wire]]|[[Draft_Module|Draft]]|IconC=Workbench_Draft.svg|IconR=Draft_Wire.svg}}
 +
 +
<div class="mw-translate-fuzzy">
 
{{GuiCommand/pl|Name=Draft Line||Name/pl=Draft Line|Workbenches=[[Draft Module/pl|Draft]], [[Arch Module/pl|Arch]]|MenuLocation=Draft → Line|Shortcut=L I|SeeAlso=[[Draft Wire/pl|Draft Wire]]}}
 
{{GuiCommand/pl|Name=Draft Line||Name/pl=Draft Line|Workbenches=[[Draft Module/pl|Draft]], [[Arch Module/pl|Arch]]|MenuLocation=Draft → Line|Shortcut=L I|SeeAlso=[[Draft Wire/pl|Draft Wire]]}}
 +
</div>
  
 
==Description==
 
==Description==
The Line tool creates a straight line defined by two points. It uses the [[Draft Linestyle]] set on the Draft tray toolbar. The Line tool behaves exactly like the [[Draft Wire]] tool, except that it stops after two points.
+
The Line tool creates a straight line defined by two points. It uses the [[Draft Linestyle|Draft Linestyle]] set on the [[Draft Tray|Draft Tray]]. The Line tool behaves exactly like the [[Draft Wire|Draft Wire]] tool, except that it stops after two points.
  
 
[[Image:Draft_Line_example.jpg|400px]]
 
[[Image:Draft_Line_example.jpg|400px]]
 +
<div class="mw-translate-fuzzy">
 +
[[Image:Draft_Line_example.jpg|400px]]
 +
</div>
  
 
==How to use==
 
==How to use==
# Press the {{KEY|[[Image:Draft Line.png|16px]] [[Draft Line]]}} button, or press {{KEY|L}} then {{KEY|I}} keys
+
# Press the {{Button|[[Image:Draft Line.svg|16px]] [[Draft Line|Draft Line]]}} button, or press {{KEY|L}} then {{KEY|I}} keys.
# Click a first point on the 3D view, or type a [[Draft_Coordinates|coordinate]]
+
# Click a first point on the 3D view, or type a [[Draft_Coordinates|coordinate]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button.
# Click a second point on the 3D view, or type a [[Draft_Coordinates|coordinate]]
+
# Click a second point on the 3D view, or type a [[Draft_Coordinates|coordinate]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button.
 +
 
 +
The line can be edited by double clicking on the element in the tree view, or by pressing the {{Button|[[Image:Draft Edit.svg|16px]] [[Draft Edit|Draft Edit]]}} button. Then you can move the points to a new position.
 +
 
 +
===Fusing single lines===
 +
If several connected [[Draft Line|Draft Lines]] are selected they can be fused into a wire by pressing the {{Button|[[Image:Draft Upgrade.svg|16px]] [[Draft Upgrade|Draft Upgrade]]}} tool; however, this wire will not be editable. To create an editable wire, use {{Button|[[Image:Draft Upgrade.svg|16px]] [[Draft Upgrade]]}} three more times on the new shapes (wire, closed wire, face). You can also fuse the original lines with the {{Button|[[Image:Draft Wire.svg|16px]] [[Draft Wire|Draft Wire]]}} tool.
 +
 
 +
A wire can also be created from a single line by adding another point anywhere along its length. To do this, press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button, and click anywhere on the line.
  
 
==Options==
 
==Options==
 
* Press {{KEY|X}}, {{KEY|Y}} or {{KEY|Z}} after the first point to constrain the second point on the given axis.
 
* Press {{KEY|X}}, {{KEY|Y}} or {{KEY|Z}} after the first point to constrain the second point on the given axis.
* To enter coordinates manually, simply enter the numbers, then press {{KEY|ENTER}} between each X, Y and Z component.
+
* To enter coordinates manually, simply enter the numbers, then press {{KEY|Enter}} between each X, Y and Z component.
* Press {{KEY|R}} or click the checkbox to check/uncheck the {{KEY|'''Relative'''}} button. If relative mode is on, the coordinates of the second point are relative to the first one. If not, they are absolute, taken from the (0,0,0) origin point.
+
** You can also define the polar coordinates of the point by giving a value to "Length" and "Angle". Click on the checkbox next to "Angle" to constrain the pointer to the specified angle.
* Press {{KEY|T}} or click the checkbox to check/uncheck the {{KEY|'''Continue'''}} button. If continue mode is on, the Line tool will restart after you give the second point, allowing you to draw another line segment without pressing the Line button again.
+
** You can press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button when you have the desired values to insert the point.
* Press {{KEY|CTRL}} while drawing to force [[Draft_Snap|snapping]] your point to the nearest snap location, independently of the distance.
+
* Press {{KEY|R}} or click the checkbox to toggle ''relative'' mode. If relative mode is on, the coordinates of the second point are relative to the first one; if not, they are absolute, taken from the origin (0,0,0).
* Press {{KEY|SHIFT}} while drawing to [[Draft_Constrain|constrain]] your second point horizontally or vertically in relation to the first one.
+
* Press {{KEY|T}} or click the checkbox to toggle ''continue'' mode. If continue mode is on, the Line tool will restart after you give the second point, allowing you to draw another line segment without pressing the tool button again.
* Press {{KEY|CTRL}}+{{KEY|Z}} or press the {{KEY|[[Image:Draft UndoLine.png|12px]] '''[[Draft_UndoLine|Undo]]'''}} button to undo the last point.
+
* Hold {{KEY|Ctrl}} while drawing to force [[Draft_Snap|snapping]] your point to the nearest snap location, independently of the distance.
* Press {{KEY|ESC}} or the {{KEY|'''Cancel'''}} button to abort the current Line command.
+
* Hold {{KEY|Shift}} while drawing to [[Draft_Constrain|constrain]] your second point horizontally or vertically in relation to the first one.
* If several connected [[Draft Line|Draft Lines]] are selected they can be transformed into a wire by pressing the '''Draft Upgrade''' Button.
+
* Press {{KEY|Ctrl}}+{{KEY|Z}} or press the {{button|[[Image:Draft UndoLine.png|12px]] [[Draft_UndoLine|Undo]]}} button to undo the last point.
 +
* Press {{KEY|Esc}} or the {{Button|Close}} button to abort the current command.
  
 +
<div class="mw-translate-fuzzy">
 
==Properties==
 
==Properties==
 
* {{PropertyData/pl|Start}}: Punkt początkowy
 
* {{PropertyData/pl|Start}}: Punkt początkowy
 
* {{PropertyData/pl|End}}: Punkt końcowy
 
* {{PropertyData/pl|End}}: Punkt końcowy
 
* {{PropertyData/pl|Subdivisions}}: Dzieli linię z podaną liczbą poddziałów {{version|0.16/pl}}
 
* {{PropertyData/pl|Subdivisions}}: Dzieli linię z podaną liczbą poddziałów {{version|0.16/pl}}
 +
</div>
 +
 +
===Data===
 +
* {{PropertyData|Start}}: specifies the start point.
 +
* {{PropertyData|End}}: specifies the end point.
 +
* {{PropertyData|Subdivisions}}: specifies the number of interior nodes in the line. {{version|0.16}}
 +
* {{PropertyData|Length}}: (read-only) specifies the length of the segment.
 +
 +
===View===
 +
* {{PropertyView|End Arrow}}: if it is {{TRUE}} it will display a symbol at the last point of the line, so it can be used as an annotation line.
 +
* {{PropertyView|Arrow Size}}: specifies the size of the symbol displayed at the end of the line.
 +
* {{PropertyView|Arrow Type}}: specifies the type of symbol displayed at the end of the line, which can be "Dot", "Circle", "Arrow", or "Tick".
  
 
==Scripting==
 
==Scripting==
The Line tool can by used in [[macros]] and from the python console by using the following function:
+
{{Emphasis|See also:}} [[Draft API|Draft API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].
 +
 
 +
The Line tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:
 
{{Code|code=
 
{{Code|code=
 
Line = makeLine(p1, p2)
 
Line = makeLine(p1, p2)
 
Line = makeLine(LineSegment)
 
Line = makeLine(LineSegment)
 
Line = makeLine(Shape)
 
Line = makeLine(Shape)
 +
}}
  
}}
+
* Creates a {{incode|Line}} object between points {{incode|p1}} and {{incode|p2}}, each defined by its {{incode|FreeCAD.Vector}}, with units in millimeters.
* Creates a <code>Line</code> object between points <code>p1</code> and <code>p2</code>, each defined as a <code>FreeCAD.Vector</code>
+
* Creates a {{incode|Line}} object from a {{incode|Part.LineSegment}}.
* Creates a <code>Line</code> object from a <code>Part.LineSegment</code>
+
* Creates a {{incode|Line}} object from the first vertex to the last vertex of the given {{incode|Shape}}.
* Creates a <code>Line</code> object from the first vertex to the last vertex of the given <code>Shape</code>
 
* The current [[Draft Linestyle]] will be used
 
  
 
Example:
 
Example:
 
{{Code|code=
 
{{Code|code=
 
import FreeCAD, Draft
 
import FreeCAD, Draft
Draft.makeLine(FreeCAD.Vector(0,0,0), FreeCAD.Vector(2,0,0))
+
 
 +
p1 = FreeCAD.Vector(0, 0, 0)
 +
p2 = FreeCAD.Vector(1000, 500, 0)
 +
p3 = FreeCAD.Vector(-250, -500, 0)
 +
p4 = FreeCAD.Vector(500, 1000, 0)
 +
 
 +
Line1 = Draft.makeLine(p1, p2)
 +
Line2 = Draft.makeLine(p3, p4)
 
}}
 
}}
  
 +
{{Docnav||[[Draft_Wire|Wire]]|[[Draft_Module|Draft]]|IconC=Workbench_Draft.svg|IconR=Draft_Wire.svg}}
 +
 +
{{Draft Tools navi}}
 +
 +
{{Userdocnavi}}
 
{{clear}}
 
{{clear}}

Revision as of 11:00, 14 September 2019

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎
FreeCAD.png
Next: Wire Draft Wire.svg Arrow-right.svg

Draft Line.svg Draft Line

Lokalizacja menu
Draft → Line
Workbenches
Draft, Arch
Domyślny skrót
L I
Wprowadzono w wersji
-
Zobacz także
Draft Wire


Description

The Line tool creates a straight line defined by two points. It uses the Draft Linestyle set on the Draft Tray. The Line tool behaves exactly like the Draft Wire tool, except that it stops after two points.

Draft Line example.jpg

Draft Line example.jpg

How to use

  1. Press the Draft Line.svg Draft Line button, or press L then I keys.
  2. Click a first point on the 3D view, or type a coordinate and press the Draft AddPoint.svg add point button.
  3. Click a second point on the 3D view, or type a coordinate and press the Draft AddPoint.svg add point button.

The line can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit.svg Draft Edit button. Then you can move the points to a new position.

Fusing single lines

If several connected Draft Lines are selected they can be fused into a wire by pressing the Draft Upgrade.svg Draft Upgrade tool; however, this wire will not be editable. To create an editable wire, use Draft Upgrade.svg Draft Upgrade three more times on the new shapes (wire, closed wire, face). You can also fuse the original lines with the Draft Wire.svg Draft Wire tool.

A wire can also be created from a single line by adding another point anywhere along its length. To do this, press the Draft AddPoint.svg add point button, and click anywhere on the line.

Options

  • Press X, Y or Z after the first point to constrain the second point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press Enter between each X, Y and Z component.
    • You can also define the polar coordinates of the point by giving a value to "Length" and "Angle". Click on the checkbox next to "Angle" to constrain the pointer to the specified angle.
    • You can press the Draft AddPoint.svg add point button when you have the desired values to insert the point.
  • Press R or click the checkbox to toggle relative mode. If relative mode is on, the coordinates of the second point are relative to the first one; if not, they are absolute, taken from the origin (0,0,0).
  • Press T or click the checkbox to toggle continue mode. If continue mode is on, the Line tool will restart after you give the second point, allowing you to draw another line segment without pressing the tool button again.
  • Hold Ctrl while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Hold Shift while drawing to constrain your second point horizontally or vertically in relation to the first one.
  • Press Ctrl+Z or press the Draft UndoLine.png Undo button to undo the last point.
  • Press Esc or the Close button to abort the current command.

Properties

  • DANEStart: Punkt początkowy
  • DANEEnd: Punkt końcowy
  • DANESubdivisions: Dzieli linię z podaną liczbą poddziałów introduced in version 0.16/pl

Data

  • DATAStart: specifies the start point.
  • DATAEnd: specifies the end point.
  • DATASubdivisions: specifies the number of interior nodes in the line. introduced in version 0.16
  • DATALength: (read-only) specifies the length of the segment.

View

  • VIEWEnd Arrow: if it is True it will display a symbol at the last point of the line, so it can be used as an annotation line.
  • VIEWArrow Size: specifies the size of the symbol displayed at the end of the line.
  • VIEWArrow Type: specifies the type of symbol displayed at the end of the line, which can be "Dot", "Circle", "Arrow", or "Tick".

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Line tool can be used in macros and from the Python console by using the following function:

Line = makeLine(p1, p2)
Line = makeLine(LineSegment)
Line = makeLine(Shape)
  • Creates a Line object between points p1 and p2, each defined by its FreeCAD.Vector, with units in millimeters.
  • Creates a Line object from a Part.LineSegment.
  • Creates a Line object from the first vertex to the last vertex of the given Shape.

Example:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 500, 0)
p3 = FreeCAD.Vector(-250, -500, 0)
p4 = FreeCAD.Vector(500, 1000, 0)

Line1 = Draft.makeLine(p1, p2)
Line2 = Draft.makeLine(p3, p4)
FreeCAD.png
Next: Wire Draft Wire.svg Arrow-right.svg